"""empty message

Revision ID: 3085cc295629
Revises: 6b50cd6afe2d
Create Date: 2019-12-25 18:58:41.599812

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '3085cc295629'
down_revision = '6b50cd6afe2d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_foreign_key(None, 'request', 'user', ['sender_id'], ['id'])
    op.create_foreign_key(None, 'request', 'user', ['receiver_id'], ['id'])
    op.create_foreign_key(None, 'user__friends', 'user', ['user2_id'], ['id'])
    op.create_foreign_key(None, 'user__friends', 'user', ['user1_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'user__friends', type_='foreignkey')
    op.drop_constraint(None, 'user__friends', type_='foreignkey')
    op.drop_constraint(None, 'request', type_='foreignkey')
    op.drop_constraint(None, 'request', type_='foreignkey')
    # ### end Alembic commands ###
